#ifndef UL_MODULES
#define UL_MODULES

#ifdef UL_ANSI
typedef  ulstring  ULModuleIdentifier;
#endif

#ifdef UL_SYMBIAN
typedef  ulstring  ULModuleIdentifier;
#endif

#ifdef UL_PALMOS
typedef  ULDBInfo  ULModuleIdentifier;
#endif

#ifdef UL_WINDOWSMOBILE
typedef  ulstring  ULModuleIdentifier;
#endif

struct UL_API ULModuleType
{
    ULLanguage                mFirstLanguage;
    ULLanguage                mSecondLanguage;
    uint32                    mProduct;
    bool                    mRegistered;
    uint32                  mDaysUsed;
    uint32                  mVersion;
    uint32                  mSize;
    ULModuleIdentifier      mModuleID;

    bool operator==( const ULModuleType& a ) const;
};

#endif
