//////////////////////////////////////////////////////////////////
//
//    ulregex.h
//
//////////////////////////////////////////////////////////////////

#ifndef ULREGEX_H
#define ULREGEX_H

#include "ultypes.h"

//#ifdef UL_REGEX

struct UL_API ULDMRegexOptions
{
    bool        mUsePOSIX;
    bool        mCaseSensitive;
    bool        mWholeWordsOnly;
    bool        mIgnoreAccents;
    bool        mSearchInDefinitions;

                ULDMRegexOptions() { clear(); }

    void        clear()
                    {
                        mUsePOSIX = false;
                        mCaseSensitive = false;
                        mWholeWordsOnly = true;
                        mIgnoreAccents = true;
                        mSearchInDefinitions = false;
                    }

    void        operator=( const ULDMRegexOptions& options )
                    {
                        mUsePOSIX = options.mUsePOSIX;
                        mCaseSensitive = options.mCaseSensitive;
                        mWholeWordsOnly = options.mWholeWordsOnly;
                        mIgnoreAccents = options.mIgnoreAccents;
                        mSearchInDefinitions = options.mSearchInDefinitions;
                    }
};
//#endif // UL_REGEX

#endif
